# Nginx Module

[![Build Status](https://travis-ci.org/jbussdieker/puppet-nginx.png?branch=master)](https://travis-ci.org/jbussdieker/puppet-nginx)

This module manages installing, configuring and running nginx.

# Usage

Basic installation:

    class {'nginx':
    }

Advanced installation:

    class {'nginx':
      ulimit             = '4096',
      user               = 'app',
      worker_processes   = 24,
      pid_file           = '/var/run/nginx.pid',
      worker_connections = 768,
    }
