class nginx::config {

  file {'/etc/default/nginx':
    ensure  => present,
    owner   => 'root',
    group   => 'root',
    mode    => 0644,
    content => template('nginx/default.erb'),
  }

  file {'/etc/nginx/nginx.conf':
    ensure  => present,
    owner   => 'root',
    group   => 'root',
    mode    => 0644,
    content => template('nginx/nginx.conf.erb'),
  }

  file {'/etc/nginx/sites-enabled/default':
    ensure => absent,
  }

}
