class nginx(
  $ulimit             = '',
  $user               = 'www-data', 
  $worker_processes   = 4,
  $pid_file           = '/var/run/nginx.pid',
  $worker_connections = 768,
  $port               = 80
) {

  class {'nginx::package':
    notify  => Class['nginx::service'],
  }

  class {'nginx::config':
    notify  => Class['nginx::service'],
    require => Class['nginx::package'],
  }

  class {'nginx::service':
    require => Class['nginx::config'],
  }

}
